GET v1/PolicyACORDForms/{policyId}/AcordSelectorDriverList?policyDetailsId={policyDetailsId}&lobInternalCode={lobInternalCode}

Get List of Drivers on Policy and format for ACORD Selector List

Request Information

URI Parameters

NameDescriptionTypeAdditional information
policyId

Id of the policy

string

Required

policyDetailsId

Id of the policy details

string

Required

lobInternalCode

Lob internal code

string

Required

Body Parameters

None.

Response Information

Resource Description

List of Drivers on Policy and format for ACORD Selector List

Collection of AcordAutoDriverDTO
NameDescriptionTypeAdditional information
DriverID

Driver Id

integer

None.

FirstName

First name

string

None.

LastName

Last name

string

None.

DOB

DOB

date

None.

DOBstring

DOB string

string

None.

VehicleID

Vehicle Id

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "DriverID": 1,
    "FirstName": "sample string 2",
    "LastName": "sample string 3",
    "DOB": "2026-08-14T18:24:19.3979615+00:00",
    "DOBstring": "sample string 4",
    "VehicleID": 5
  },
  {
    "DriverID": 1,
    "FirstName": "sample string 2",
    "LastName": "sample string 3",
    "DOB": "2026-08-14T18:24:19.3979615+00:00",
    "DOBstring": "sample string 4",
    "VehicleID": 5
  }
]

application/xml, text/xml

Sample:
<ArrayOfAcordAutoDriverDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/QQSolutions.NextGen.ModelLibrary.DataTransferObjects.Policies">
  <AcordAutoDriverDTO>
    <DOB>2026-08-14T18:24:19.3979615+00:00</DOB>
    <DOBstring>sample string 4</DOBstring>
    <DriverID>1</DriverID>
    <FirstName>sample string 2</FirstName>
    <LastName>sample string 3</LastName>
    <VehicleID>5</VehicleID>
  </AcordAutoDriverDTO>
  <AcordAutoDriverDTO>
    <DOB>2026-08-14T18:24:19.3979615+00:00</DOB>
    <DOBstring>sample string 4</DOBstring>
    <DriverID>1</DriverID>
    <FirstName>sample string 2</FirstName>
    <LastName>sample string 3</LastName>
    <VehicleID>5</VehicleID>
  </AcordAutoDriverDTO>
</ArrayOfAcordAutoDriverDTO>